## com.thingmagic
Enum SerialReader.ReaderStatsFlag

    java.lang.Object
      java.lang.Enum<SerialReader.ReaderStatsFlag>
          com.thingmagic.SerialReader.ReaderStatsFlag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SerialReader.ReaderStatsFlag>

Enclosing class:
  SerialReader

    public static enum SerialReader.ReaderStatsFlag

extends java.lang.Enum<SerialReader.ReaderStatsFlag>

The Stats available for retrieval by cmdGetReaderStats.

Enum Constant Summary
`ALL` All stats flags
`ANTENNA` Current antenna
`CONNECTED_ANTENNA_PORTS` Current connected antennas
`FREQUENCY` Current frequency in units of KHz
`NOISE_FLOOR_SEARCH_RX_TX_WITH_TX_ON` Noise floor with the TX on for the antennas were last configured for searching
`NONE`
`PROTOCOL` Current protocol
`RF_ON_TIME` Total time the port has been transmitting, in milliseconds.
`TEMPERATURE` Current temperature of the device in units of Celsius

Method Summary
`static SerialReader.ReaderStatsFlag` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SerialReader.ReaderStatsFlag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final SerialReader.ReaderStatsFlag NONE

### RF_ON_TIME

    public static final SerialReader.ReaderStatsFlag RF_ON_TIME

  Total time the port has been transmitting, in milliseconds. Resettable

### NOISE_FLOOR_SEARCH_RX_TX_WITH_TX_ON

    public static final SerialReader.ReaderStatsFlag NOISE_FLOOR_SEARCH_RX_TX_WITH_TX_ON

  Noise floor with the TX on for the antennas were last configured for searching

### FREQUENCY

    public static final SerialReader.ReaderStatsFlag FREQUENCY

  Current frequency in units of KHz

### TEMPERATURE

    public static final SerialReader.ReaderStatsFlag TEMPERATURE

  Current temperature of the device in units of Celsius

### ANTENNA

    public static final SerialReader.ReaderStatsFlag ANTENNA

  Current antenna

### PROTOCOL

    public static final SerialReader.ReaderStatsFlag PROTOCOL

  Current protocol

### CONNECTED_ANTENNA_PORTS

    public static final SerialReader.ReaderStatsFlag CONNECTED_ANTENNA_PORTS

  Current connected antennas

### ALL

    public static final SerialReader.ReaderStatsFlag ALL

  All stats flags

Method Detail

### values

    public static SerialReader.ReaderStatsFlag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SerialReader.ReaderStatsFlag c : SerialReader.ReaderStatsFlag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SerialReader.ReaderStatsFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null